package znx.entities;

import com.sun.istack.internal.NotNull;

import java.util.Date;

public class LMProduct
{
    @NotNull
    private final String id;
    @NotNull
    private final String prefix;
    @NotNull
    private final String name;
    @NotNull
    private final String description;
    @NotNull
    private final String version;
    @NotNull
    private final Date releaseDate;

    public LMProduct(@NotNull final String id, @NotNull final String prefix, @NotNull final String name, @NotNull final String description, @NotNull final String version, @NotNull final Date releaseDate) {
        this.id = id;
        this.prefix = prefix;
        this.name = name;
        this.description = description;
        this.version = version;
        this.releaseDate = releaseDate;
    }

    @NotNull
    public String getId() {
        return this.id;
    }

    public String getPrefix() {
        return this.prefix;
    }

    @NotNull
    public String getName() {
        return this.name;
    }

    @NotNull
    public String getDescription() {
        return this.description;
    }

    @NotNull
    public String getVersion() {
        return this.version;
    }

    @NotNull
    public Date getReleaseDate() {
        return this.releaseDate;
    }
}

